<?php

namespace Shm\ShmAdmin\Types;

use Shm\ShmTypes\BaseType;
use Shm\ShmTypes\StructureType;

class AdminRegForm
{



    /**
     * @var callable
     */
    public $handlerCheckShow = null;

    public function handlerCheckShow(callable $handler)
    {
        $this->handlerCheckShow = $handler;
        return $this;
    }


    public $regStructure = null;
    public function regStructure(BaseType $structure)
    {
        $this->regStructure = $structure;
        return $this;
    }


    //Нужна функция которая вернет форма регистрации


}